-- Revert sc_vlci_userdb:v_migrations/TLF016-modificar_rol_economico from pg

BEGIN;

    UPDATE sc_vlci_userdb.public.granted_authorities
	SET authority='AccUnificado' 
	WHERE username IN (
	    'U18050', 'u18050',
		'U47100', 'u47100',
		'U60051', 'u60051',
		'U10809', 'u10809',
		'U17385', 'u17385',
		'U16007', 'u16007',
		'U39078', 'u39078',
		'U17387', 'u17387',
		'U17381', 'u17381',
		'U19896', 'u19896',
		'LMAG', 'lmag',
		'USAFEM', 'usafem',
		'U19233', 'u19233',
		'U16928', 'u16928'
	);

	UPDATE sc_vlci_userdb.public.granted_authorities 
	SET authority='AccUnificadoEconomico' 
	WHERE username IN ('U16675', 'u16675',
		'U60350', 'u60350',
		'U18520', 'u18520',
		'U19261', 'u19261',
		'U16683', 'u16683',
		'U11007', 'u11007',
		'U16866', 'u16866',
		'U65944', 'u65944',
		'U39892', 'u39892',
		'U16678', 'u16678',
		'U17068', 'u17068',
		'U22346', 'u22346',
		'U16996', 'u16996',
		'U17390', 'u17390',
		'U65852', 'u65852',
		'U16742', 'u16742',
		'U16733', 'u16733',
		'U19898', 'u19898',
		'U18452', 'u18452',
		'U17389', 'u17389',
		'U39098', 'u39098',
		'U18041', 'u18041',
		'U19897', 'u19897',
		'U18259', 'u18259',
		'U19370', 'u19370',
		'U19436', 'u19436',
		'U65701', 'u65701',
		'U19437', 'u19437',
		'U16863', 'u16863',
		'U18175', 'u18175',
		'U29661', 'u29661',
		'U18542', 'u18542',
		'U60334', 'u60334',
		'U16516', 'u16516',
		'U18427', 'u18427',
		'U19439', 'u19439',
		'U17963', 'u17963',
		'U10917', 'u10917',
		'U11020', 'u11020',
		'U18868', 'u18868',
		'U16608', 'u16608',
		'U16680', 'u16680',
		'U18541', 'u18541',
		'U50483', 'u50483',
		'U17394', 'u17394',
		'U19109', 'u19109',
		'U17040', 'u17040',
		'U17398', 'u17398',
		'U16671', 'u16671',
		'U10923', 'u10923',
		'U21571', 'u21571',
		'U22348', 'u22348',
		'U19441', 'u19441',
		'U19442', 'u19442',
		'U17412', 'u17412',
		'U18330', 'u18330',
		'U10807', 'u10807',
		'U19479', 'u19479',
		'U17399', 'u17399', 
		'U16852', 'u16852',
		'U16016', 'u16016'
	);

	UPDATE sc_vlci_userdb.public.granted_authorities 
	SET authority='AccUnificadoEconomicoCiudad' WHERE username IN ('U18304', 'u18304',
	'U19537', 'u19537',
	'U50496', 'u50496',
	'LVRI', 'lvri');


COMMIT;
